#ifndef _ENTRY_H
#define _ENTRY_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define CRYPTFLAGS ROUNDRESULT | NONREPETITION | ENSUREOFFSET

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <SQL.H>

#include "../../SharedClasses/NASCCL/NASCCL.H"
#include "../../SharedClasses/SQLClass/cRecordSet.H"
#include "../../SharedClasses/SQLClass/cSQL.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

extern HINSTANCE ghAppInstance;

extern char gsAppCopyRight[64];
extern char gsFileVersion[32];
extern char gsTitleCaption[64];
extern char gsRegistryKey[255];

extern bool gbIsMainDialogOpen;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

int StartRoutine(char *sCmdLine);
bool xMainEntry(void);
bool WaitOnApplicationToExit(void);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

struct _MainDialogInfo{
	HWND LogList_hWnd;
}; extern _MainDialogInfo MDI;

struct _ConnectedClientInfo{
	int iThisClient;
	bool bIsAuthenticated;
	bool bIsEncryptionInit;
	bool bCustDBConnected;
	NASCCL cNASCCL;

    HSTMT hStatementHandle;

	CSQL cCustSQL;

	char sImportTable[64];
	bool bGotImportTable;

}; extern _ConnectedClientInfo CCI;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

